> This page is for Developer.

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.bigcommerce.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.bigcommerce.com/_mcp/server.

# Get Product Complex Rule

GET https://api.bigcommerce.com/stores/{store_hash}/v3/catalog/products/{product_id}/complex-rules/{complex_rule_id}

Returns a single *Complex Rule*. Optional parameters can be passed in.

Reference: https://docs.bigcommerce.com/developer/api-reference/rest/admin/catalog/products/complex-rules/get-product-complex-rule

## Authentication

- `X-Auth-Token` header (required) — ### OAuth scopes | UI Name | Permission | Parameter | |:--------|:-----------|:----------| | Products | modify | `store_v2_products` | | Products | read-only | `store_v2_products_read_only` | ### Authentication header | Header | Argument | Description | |:-------|:---------|:------------| | `X-Auth-Token` | `access_token` | For more about API accounts that generate `access_token`s, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts#api-accounts). | ### Further reading For example requests and more information about authenticating BigCommerce APIs, see [Authentication and Example Requests](/developer/docs/overview/api-fundamentals/api-accounts#x-auth-token-header-example-requests). For more about BigCommerce OAuth scopes, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts#oauth-scopes). For a list of API status codes, see [API Status Codes](/developer/api-reference/rest/overview#rest-http-status-codes).

## Request

### Path parameters

- `product_id` (integer, required) — The ID of the `Product` to which the resource belongs.
- `complex_rule_id` (integer, required) — The ID of the `ComplexRule`.
- `store_hash` (string, required) — Permanent ID of the BigCommerce store.

### Query parameters

- `include_fields` (list of enum, optional) — Fields to include, in a comma-separated list. The ID and the specified fields will be returned.
  - Allowed values: `name`, `type`, `sku`, `description`, `weight`, `width`, `depth`, `height`, `price`, `cost_price`, `retail_price`, `sale_price`, `map_price`, `tax_class_id`, `product_tax_code`, `calculated_price`, `categories`, `brand_id`, `option_set_id`, `option_set_display`, `inventory_level`, `inventory_warning_level`, `inventory_tracking`, `reviews_rating_sum`, `reviews_count`, `total_sold`, `fixed_cost_shipping_price`, `is_free_shipping`, `is_visible`, `is_featured`, `related_products`, `warranty`, `bin_picking_number`, `layout_file`, `upc`, `mpn`, `gtin`, `date_last_imported`, `search_keywords`, `availability`, `availability_description`, `condition`, `is_condition_shown`, `order_quantity_minimum`, `order_quantity_maximum`, `page_title`, `meta_keywords`, `meta_description`, `date_created`, `date_modified`, `view_count`, `preorder_release_date`, `preorder_message`, `is_preorder_only`, `is_price_hidden`, `price_hidden_label`, `custom_url`, `base_variant_id`, `open_graph_type`, `open_graph_title`, `open_graph_description`, `open_graph_use_meta_description`, `open_graph_use_product_name`, `open_graph_use_image`
- `exclude_fields` (list of string, optional) — Fields to exclude, in a comma-separated list. The specified fields will be excluded from a response. The ID cannot be excluded.

### Headers

- `Accept` (string, required, default: application/json) — The [MIME type](https://developer.mozilla.org/en-US/docs/Web/HTTP/Basics_of_HTTP/MIME_types) of the response body.

## Response

### 200

OK

- `data` (CatalogProductsProductIdComplexRulesComplexRuleIdGetResponsesContentApplicationJsonSchemaData, optional) — Common ComplexRule properties.
- `meta` (metaEmpty_Full, optional) — Response metadata.

## Errors

### 404 Not Found Error

The resource was not found.

- `status` (integer, optional) — 404 HTTP status code.
- `title` (string, optional) — The error title describing the particular error.
- `type` (string, optional)
- `instance` (string, optional)

## Types

### CatalogProductsProductIdComplexRulesComplexRuleIdGetResponsesContentApplicationJsonSchemaData

Common ComplexRule properties.

- `id` (integer, optional) — The unique numeric ID of the rule; increments sequentially. Read-Only
- `product_id` (integer, optional) — The unique numeric ID of the product with which the rule is associated; increments sequentially.
- `sort_order` (integer, optional) — The priority to give this rule when making adjustments to the product properties.
- `enabled` (boolean, optional) — Flag for determining whether the rule is to be used when adjusting a productʼs price, weight, image, or availabilty.
- `stop` (boolean, optional) — Flag for determining whether other rules should not be applied after this rule has been applied.
- `purchasing_disabled` (boolean, optional) — Flag for determining whether the rule should disable purchasing of a product when the conditions are applied.
- `purchasing_disabled_message` (string, optional) — Message displayed on the storefront when a rule disables the purchasing of a product.
- `purchasing_hidden` (boolean, optional) — Flag for determining whether the rule should hide purchasing of a product when the conditions are applied.
- `image_url` (string, optional) — The URL for an image displayed on the storefront when the conditions are applied. Limit of 8MB per file.
- `price_adjuster` (CatalogProductsProductIdComplexRulesComplexRuleIdGetResponsesContentApplicationJsonSchemaDataPriceAdjuster, optional) — Adjuster for Complex Rules.
- `weight_adjuster` (CatalogProductsProductIdComplexRulesComplexRuleIdGetResponsesContentApplicationJsonSchemaDataWeightAdjuster, optional) — Adjuster for Complex Rules.
- `conditions` (list of complexRuleConditionBase, optional)

### metaEmpty_Full

Response metadata.

### CatalogProductsProductIdComplexRulesComplexRuleIdGetResponsesContentApplicationJsonSchemaDataPriceAdjuster

Adjuster for Complex Rules.

- `adjuster` (enum, optional) — The type of adjuster for either the price or the weight of the variant, when the modifier value is selected on the storefront.
  - Allowed values: `relative`, `percentage`
- `adjuster_value` (double, optional) — The numeric amount by which the adjuster will change either the price or the weight of the variant, when the modifier value is selected on the storefront.

### CatalogProductsProductIdComplexRulesComplexRuleIdGetResponsesContentApplicationJsonSchemaDataWeightAdjuster

Adjuster for Complex Rules.

- `adjuster` (enum, optional) — The type of adjuster for either the price or the weight of the variant, when the modifier value is selected on the storefront.
  - Allowed values: `relative`, `percentage`
- `adjuster_value` (double, optional) — The numeric amount by which the adjuster will change either the price or the weight of the variant, when the modifier value is selected on the storefront.

### complexRuleConditionBase

Complex rules may return with conditions that apply to one or more variants, or with a single modifier value (if the rules were created using the v2 API or the control panel). Complex rules created or updated in the v3 API must have conditions that either reference multiple `modifier_value_id`’s, or else reference a `modifier_value_id` and a `variant_id`.

- `modifier_id` (integer, required, nullable) — The unique numeric ID of the modifier with which the rule condition is associated. Required in /POST.
- `modifier_value_id` (integer, required, nullable) — The unique numeric ID of the modifier value with which the rule condition is associated. Required in /POST.
- `variant_id` (integer, required, nullable) — The unique numeric ID of the variant with which the rule condition is associated. Required in /POST.
- `id` (integer, optional, nullable) — The unique numeric ID of the rule condition; increments sequentially. Read-Only
- `rule_id` (integer, optional, nullable) — The unique numeric ID of the rule with which the condition is associated. Read-Only
- `combination_id` (integer, optional) — (READ-ONLY:) The unique numeric ID of the SKU (v2 API), or Combination, with which the rule condition is associated. This is to maintain cross-compatibility between v2 and v3.

## Examples

**Response**

```json
{
  "data": {
    "id": 5,
    "product_id": 67,
    "sort_order": 0,
    "enabled": true,
    "stop": true,
    "purchasing_disabled": true,
    "purchasing_disabled_message": "This product is not available at this time.",
    "purchasing_hidden": true,
    "image_url": "https://cdn8.bigcommerce.com/s-123456/product_images/d/fakeimage.png",
    "price_adjuster": {
      "adjuster": "relative",
      "adjuster_value": 5
    },
    "weight_adjuster": {
      "adjuster": "relative",
      "adjuster_value": 5
    },
    "conditions": [
      {
        "modifier_id": 55,
        "modifier_value_id": 256,
        "variant_id": 1,
        "id": 3,
        "rule_id": 4,
        "combination_id": 1
      }
    ]
  },
  "meta": {}
}
```

**SDK Code**

```python
import requests

url = "https://api.bigcommerce.com/stores/store_hash/v3/catalog/products/1/complex-rules/1"

headers = {
    "Accept": "application/json",
    "X-Auth-Token": "<apiKey>"
}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.bigcommerce.com/stores/store_hash/v3/catalog/products/1/complex-rules/1';
const options = {
  method: 'GET',
  headers: {Accept: 'application/json', 'X-Auth-Token': '<apiKey>'}
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.bigcommerce.com/stores/store_hash/v3/catalog/products/1/complex-rules/1"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Accept", "application/json")
	req.Header.Add("X-Auth-Token", "<apiKey>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.bigcommerce.com/stores/store_hash/v3/catalog/products/1/complex-rules/1")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Accept"] = 'application/json'
request["X-Auth-Token"] = '<apiKey>'

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.bigcommerce.com/stores/store_hash/v3/catalog/products/1/complex-rules/1")
  .header("Accept", "application/json")
  .header("X-Auth-Token", "<apiKey>")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.bigcommerce.com/stores/store_hash/v3/catalog/products/1/complex-rules/1', [
  'headers' => [
    'Accept' => 'application/json',
    'X-Auth-Token' => '<apiKey>',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.bigcommerce.com/stores/store_hash/v3/catalog/products/1/complex-rules/1");
var request = new RestRequest(Method.GET);
request.AddHeader("Accept", "application/json");
request.AddHeader("X-Auth-Token", "<apiKey>");
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "Accept": "application/json",
  "X-Auth-Token": "<apiKey>"
]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.bigcommerce.com/stores/store_hash/v3/catalog/products/1/complex-rules/1")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```